Package com.ocient.jdbc.proto

# Interface PlanProtocol.IndexAggOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.IndexAggOperator`, `PlanProtocol.IndexAggOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.IndexAggOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getColNames​(int index)` | Deprecated.
`com.google.protobuf.ByteString` | `getColNamesBytes​(int index)` | Deprecated.
`int` | `getColNamesCount()` | Deprecated.
`List<String>` | `getColNamesList()` | Deprecated.
`String` | `getColTypes​(int index)` | The string representation of the type of ALL output columns
`com.google.protobuf.ByteString` | `getColTypesBytes​(int index)` | The string representation of the type of ALL output columns
`int` | `getColTypesCount()` | The string representation of the type of ALL output columns
`List<String>` | `getColTypesList()` | The string representation of the type of ALL output columns
`String` | `getDb()` | Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` | `getDbBytes()` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.Disjunction` | `getFilters​(int index)` | Filter conditions to apply via index
`int` | `getFiltersCount()` | Filter conditions to apply via index
`List<PlanProtocol.Disjunction>` | `getFiltersList()` | Filter conditions to apply via index
`PlanProtocol.DisjunctionOrBuilder` | `getFiltersOrBuilder​(int index)` | Filter conditions to apply via index
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getFiltersOrBuilderList()` | Filter conditions to apply via index
`String` | `getIndexName()` | Which index?
`com.google.protobuf.ByteString` | `getIndexNameBytes()` | Which index?
`String` | `getIndexUuid()` | `string index_uuid = 9;`
`com.google.protobuf.ByteString` | `getIndexUuidBytes()` | `string index_uuid = 9;`
`String` | `getInputCols​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ByteString` | `getInputColsBytes​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`int` | `getInputColsCount()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`List<String>` | `getInputColsList()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`String` | `getKeys​(int index)` | The GROUP BY columns - can't be empty
`com.google.protobuf.ByteString` | `getKeysBytes​(int index)` | The GROUP BY columns - can't be empty
`int` | `getKeysCount()` | The GROUP BY columns - can't be empty
`List<String>` | `getKeysList()` | The GROUP BY columns - can't be empty
`PlanProtocol.Disjunction` | `getNonIndexFilters​(int index)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`int` | `getNonIndexFiltersCount()` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`List<PlanProtocol.Disjunction>` | `getNonIndexFiltersList()` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.DisjunctionOrBuilder` | `getNonIndexFiltersOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getNonIndexFiltersOrBuilderList()` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.AggregationOperator.AggregationOp` | `getOps​(int index)` | The aggregation operations to perform
`int` | `getOpsCount()` | The aggregation operations to perform
`List<PlanProtocol.AggregationOperator.AggregationOp>` | `getOpsList()` | The aggregation operations to perform
`int` | `getOpsValue​(int index)` | The aggregation operations to perform
`List<Integer>` | `getOpsValueList()` | The aggregation operations to perform
`String` | `getOutputCols​(int index)` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` | `getOutputColsBytes​(int index)` | The name to give to the columns created by each aggregation operation
`int` | `getOutputColsCount()` | The name to give to the columns created by each aggregation operation
`List<String>` | `getOutputColsList()` | The name to give to the columns created by each aggregation operation
`String` | `getOutputColsTypes​(int index)` | The types for the outputCols, in the same order
`com.google.protobuf.ByteString` | `getOutputColsTypesBytes​(int index)` | The types for the outputCols, in the same order
`int` | `getOutputColsTypesCount()` | The types for the outputCols, in the same order
`List<String>` | `getOutputColsTypesList()` | The types for the outputCols, in the same order
`PlanProtocol.SortPartition` | `getPoint​(int index)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`int` | `getPointCount()` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`List<PlanProtocol.SortPartition>` | `getPointList()` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.SortPartitionOrBuilder` | `getPointOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`List<? extends PlanProtocol.SortPartitionOrBuilder>` | `getPointOrBuilderList()` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`String` | `getSchema()` | The table schema
`com.google.protobuf.ByteString` | `getSchemaBytes()` | The table schema
`String` | `getStorageSpaceUuid()` | `string storage_space_uuid = 8;`
`com.google.protobuf.ByteString` | `getStorageSpaceUuidBytes()` | `string storage_space_uuid = 8;`
`String` | `getTableName()` | The table name
`com.google.protobuf.ByteString` | `getTableNameBytes()` | The table name
`String` | `getTableUuid()` | `string table_uuid = 7;`
`com.google.protobuf.ByteString` | `getTableUuidBytes()` | `string table_uuid = 7;`
`PlanProtocol.Disjunction` | `getTimeFilters​(int index)` | Time filter disjunctions
`int` | `getTimeFiltersCount()` | Time filter disjunctions
`List<PlanProtocol.Disjunction>` | `getTimeFiltersList()` | Time filter disjunctions
`PlanProtocol.DisjunctionOrBuilder` | `getTimeFiltersOrBuilder​(int index)` | Time filter disjunctions
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getTimeFiltersOrBuilderList()` | Time filter disjunctions

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSchema

String getSchema()

    The table schema

`string schema = 1;`

### getSchemaBytes

com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

### getTableName

String getTableName()

    The table name

`string tableName = 2;`

### getTableNameBytes

com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

### getIndexName

String getIndexName()

    Which index?

`string indexName = 3;`

### getIndexNameBytes

com.google.protobuf.ByteString getIndexNameBytes()

    Which index?

`string indexName = 3;`

### getColNamesList

@Deprecated List<String> getColNamesList()
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### getColNamesCount

@Deprecated int getColNamesCount()
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### getColNames

@Deprecated String getColNames​(int index)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### getColNamesBytes

@Deprecated com.google.protobuf.ByteString getColNamesBytes​(int index)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### getFiltersList

List<PlanProtocol.Disjunction> getFiltersList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFilters

PlanProtocol.Disjunction getFilters​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFiltersCount

int getFiltersCount()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFiltersOrBuilderList

List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFiltersOrBuilder

PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getDb

String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 6;`

### getDbBytes

com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 6;`

### getTableUuid

String getTableUuid()
`string table_uuid = 7;`

### getTableUuidBytes

com.google.protobuf.ByteString getTableUuidBytes()
`string table_uuid = 7;`

### getStorageSpaceUuid

String getStorageSpaceUuid()
`string storage_space_uuid = 8;`

### getStorageSpaceUuidBytes

com.google.protobuf.ByteString getStorageSpaceUuidBytes()
`string storage_space_uuid = 8;`

### getIndexUuid

String getIndexUuid()
`string index_uuid = 9;`

### getIndexUuidBytes

com.google.protobuf.ByteString getIndexUuidBytes()
`string index_uuid = 9;`

### getTimeFiltersList

List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### getTimeFilters

PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### getTimeFiltersCount

int getTimeFiltersCount()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### getTimeFiltersOrBuilderList

List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### getTimeFiltersOrBuilder

PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### getKeysList

List<String> getKeysList()

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

### getKeysCount

int getKeysCount()

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

### getKeys

String getKeys​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

### getKeysBytes

com.google.protobuf.ByteString getKeysBytes​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

### getOpsList

List<PlanProtocol.AggregationOperator.AggregationOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### getOpsCount

int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### getOps

PlanProtocol.AggregationOperator.AggregationOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### getOpsValueList

List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### getOpsValue

int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### getInputColsList

List<String> getInputColsList()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

### getInputColsCount

int getInputColsCount()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

### getInputCols

String getInputCols​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

### getInputColsBytes

com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

### getOutputColsList

List<String> getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

### getOutputColsCount

int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

### getOutputCols

String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

### getOutputColsBytes

com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

### getOutputColsTypesList

List<String> getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

### getOutputColsTypesCount

int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

### getOutputColsTypes

String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

### getOutputColsTypesBytes

com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

### getPointList

List<PlanProtocol.SortPartition> getPointList()
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### getPoint

PlanProtocol.SortPartition getPoint​(int index)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### getPointCount

int getPointCount()
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### getPointOrBuilderList

List<? extends PlanProtocol.SortPartitionOrBuilder> getPointOrBuilderList()
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### getPointOrBuilder

PlanProtocol.SortPartitionOrBuilder getPointOrBuilder​(int index)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### getNonIndexFiltersList

List<PlanProtocol.Disjunction> getNonIndexFiltersList()
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### getNonIndexFilters

PlanProtocol.Disjunction getNonIndexFilters​(int index)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### getNonIndexFiltersCount

int getNonIndexFiltersCount()
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### getNonIndexFiltersOrBuilderList

List<? extends PlanProtocol.DisjunctionOrBuilder> getNonIndexFiltersOrBuilderList()
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### getNonIndexFiltersOrBuilder

PlanProtocol.DisjunctionOrBuilder getNonIndexFiltersOrBuilder​(int index)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### getColTypesList

List<String> getColTypesList()

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

### getColTypesCount

int getColTypesCount()

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

### getColTypes

String getColTypes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

### getColTypesBytes

com.google.protobuf.ByteString getColTypesBytes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`